diff --git a/src/packages/fff/fff-network/Makefile b/src/packages/fff/fff-network/Makefile
index 980800ae..771aca59 100644
--- a/src/packages/fff/fff-network/Makefile
+++ b/src/packages/fff/fff-network/Makefile
@@ -1,7 +1,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=fff-network
-PKG_VERSION:=10
+PKG_VERSION:=11
 PKG_RELEASE:=1
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
@@ -34,7 +34,7 @@ endef
 
 define Package/$(PKG_NAME)/install
 	$(CP) ./files/* $(1)/
-	test -d ./$(BOARD) && $(CP) ./$(BOARD)/* $(1)/etc/
+	test -d ./$(BOARD)-$(SUBTARGET) && $(CP) ./$(BOARD)-$(SUBTARGET)/* $(1)/etc/ || true
 endef
 
 $(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-network/ar71xx/network.archer-c25-v1 b/src/packages/fff/fff-network/ar71xx-generic/network.archer-c25-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.archer-c25-v1
rename to src/packages/fff/fff-network/ar71xx-generic/network.archer-c25-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.archer-c7-v2 b/src/packages/fff/fff-network/ar71xx-generic/network.archer-c7-v2
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.archer-c7-v2
rename to src/packages/fff/fff-network/ar71xx-generic/network.archer-c7-v2
diff --git a/src/packages/fff/fff-network/ar71xx/network.cpe210 b/src/packages/fff/fff-network/ar71xx-generic/network.cpe210
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.cpe210
rename to src/packages/fff/fff-network/ar71xx-generic/network.cpe210
diff --git a/src/packages/fff/fff-network/ar71xx/network.cpe510 b/src/packages/fff/fff-network/ar71xx-generic/network.cpe510
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.cpe510
rename to src/packages/fff/fff-network/ar71xx-generic/network.cpe510
diff --git a/src/packages/fff/fff-network/ar71xx/network.gl-ar150 b/src/packages/fff/fff-network/ar71xx-generic/network.gl-ar150
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.gl-ar150
rename to src/packages/fff/fff-network/ar71xx-generic/network.gl-ar150
diff --git a/src/packages/fff/fff-network/ar71xx/network.mode b/src/packages/fff/fff-network/ar71xx-generic/network.mode
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.mode
rename to src/packages/fff/fff-network/ar71xx-generic/network.mode
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr3500-v1 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr3500-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wdr3500-v1
rename to src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr3500-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr3600-v1 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr3600-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wdr3600-v1
rename to src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr3600-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr4300-v1 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr4300-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wdr4300-v1
rename to src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr4300-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr4310-v1 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr4310-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wdr4310-v1
rename to src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr4310-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043n-v5 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043n-v5
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr1043n-v5
rename to src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043n-v5
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v1 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v1
rename to src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v2 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v2
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v2
rename to src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v2
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v3 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v3
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v3
rename to src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v3
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v4 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v4
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v4
rename to src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v4
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr842n-v2 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr842n-v2
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr842n-v2
rename to src/packages/fff/fff-network/ar71xx-generic/network.tl-wr842n-v2
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-bullet-m b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-bullet-m
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.ubnt-bullet-m
rename to src/packages/fff/fff-network/ar71xx-generic/network.ubnt-bullet-m
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-loco-m-xw b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-loco-m-xw
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.ubnt-loco-m-xw
rename to src/packages/fff/fff-network/ar71xx-generic/network.ubnt-loco-m-xw
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-nano-m b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-nano-m
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.ubnt-nano-m
rename to src/packages/fff/fff-network/ar71xx-generic/network.ubnt-nano-m
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-unifi b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-unifi
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.ubnt-unifi
rename to src/packages/fff/fff-network/ar71xx-generic/network.ubnt-unifi
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-unifiac-lite b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-unifiac-lite
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.ubnt-unifiac-lite
rename to src/packages/fff/fff-network/ar71xx-generic/network.ubnt-unifiac-lite
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.mode b/src/packages/fff/fff-network/ar71xx-tiny/network.mode
new file mode 100644
index 00000000..8625c100
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.mode
@@ -0,0 +1,25 @@
+################
+## This file is used to configure the behavior of network interfaces
+## if the routers interfaces differ from the standard WAN+4LAN-Ports
+## +2Wireless APs.
+## If you want to change their behavior, you should edit the file
+## /etc/network.config
+## After that you have to reboot the router with following command.
+#reboot
+#
+### The canonical syntax of this file is:
+#SPECIFIER="MODE"
+### MODES
+## Generally there are 3 operating modes for network interfaces in fff.
+#BATMAN: The interface is used to mesh with other fff-nodes
+#WAN:    The interface is used to connect to supernodes via vpn and
+#         ordinary internet.
+#CLIENT: The interface is used to connect clients to the fff-net
+##
+### SPECIFIER
+## For devices only including one ethernet port the specifier is called
+## ETHMODE. The default mode for these devices is "BATMAN".
+## For example this is the case for: gl-ar150, tl-mr3020-v1, tl-wa850re-v1,
+## tl-wa860re-v1, tl-wa901nd-v2, ubnt-bullet-m, ubnt-loco-m-xw, ubnt-nano-m,
+## ubnt-unifi
+ETHMODE="BATMAN"
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-mr3020-v1 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-mr3020-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-mr3020-v1
rename to src/packages/fff/fff-network/ar71xx-tiny/network.tl-mr3020-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wa850re-v1 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa850re-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wa850re-v1
rename to src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa850re-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wa860re-v1 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa860re-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wa860re-v1
rename to src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa860re-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wa901nd-v2 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa901nd-v2
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wa901nd-v2
rename to src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa901nd-v2
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr740n-v4 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr740n-v4
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr740n-v4
rename to src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr740n-v4
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v2 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr741nd-v2
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v2
rename to src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr741nd-v2
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v4 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr741nd-v4
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v4
rename to src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr741nd-v4
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v10 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v10
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr841-v10
rename to src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v10
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v11 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v11
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr841-v11
rename to src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v11
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v12 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v12
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr841-v12
rename to src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v12
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v7 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v7
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr841-v7
rename to src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v7
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v8 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v8
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr841-v8
rename to src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v8
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v9 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v9
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr841-v9
rename to src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v9
diff --git a/src/packages/fff/fff-network/mpc85xx/network.tl-wdr4900-v1 b/src/packages/fff/fff-network/mpc85xx-generic/network.tl-wdr4900-v1
similarity index 100%
rename from src/packages/fff/fff-network/mpc85xx/network.tl-wdr4900-v1
rename to src/packages/fff/fff-network/mpc85xx-generic/network.tl-wdr4900-v1
